VectorLinux
September 23, 2014, 05:58:02 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Devede "cant find spumux" problem  (Read 4271 times)
kev61
Member
*
Posts: 2


« on: March 07, 2009, 04:40:16 pm »

I've just installed Devede from the repos but when I try and start it I get a "cant find spumux" error and am told it will not start without all the dependencies being met. I've done a bit of research and apparently Spumux comes as part of the DVDauthor package and is used for subtitling. DVDauthor is already installed on my system. I figure its probably one of two things, either the Spumux executable has been placed in a path other than the one Devede expects it to be, or Spumux has an unmet dependency. I've done a fair bit of googling on the subject but all I found was some else with the same problem. It may be enough if I can find out the path Spumux is supposed to be installed to and I can make a link to it. In my efforts to fix this problem I reinstalled Devede and DVDauthor but now when its launched, from the command line, I get a fault "failed to load DEVEDE_FONTS" and the program crashes without reaching the Gui stage. I reckon I've got a pretty good chance of fixing this last problem but I'll still be left with the Spumux error. Any help with this would be greatly appreciated, Devede is such a sweet little program for making DVD's of my children's Handycam movies.
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2283


« Reply #1 on: March 07, 2009, 06:23:09 pm »

Which version of VL are you running?
I just gave it a try and it is working here, slapt-get installed vcdimager-0.7.23-i586-3gsb.tlz,  cdrtools-2.01.01a50-i586-1vl60.tlz, dvdauthor-0.6.14-i586-3gsb.tlz and devede-3.7-i586-1gsb.tlz
You could run

Code:
which spumux

to check if there is a problem with the path.


Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
rbistolfi
Packager
Vectorian
****
Posts: 2283


« Reply #2 on: March 08, 2009, 07:51:35 am »

I found the problem, our ImageMagick libraries have different names than those spected by spumux. This happened to me with another program and the fix for that program worked also for devede, that is why I didnt note it, sorry. I installed devede in a VM and I got the same error as you, I opened /usr/bin/devede and noted that they check for spumux using the output of spumux --help. That was very clever because the output of spumux --help was not indeed the one you would expect.

Anyway, the fix:

Code:
ln -s /usr/lib/libMagick++.so /usr/lib/libMagick.so.10
ln -s /usr/lib/libMagickWand.so /usr/lib/libWand.so.10

as root.
« Last Edit: March 08, 2009, 08:07:35 am by rbistolfi » Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
kev61
Member
*
Posts: 2


« Reply #3 on: March 08, 2009, 02:21:52 pm »

Thank you so much for the fix, and particularly for putting in the time and effort to fault find a problem you couldn't readily replicate, it is much appreciated. Devede now works like the gem it is. I wonder how many people on other distros are going to upgrade their systems and find Devede broken, well not broken but looking for a help file in all the wrong places, a sad shadow of its former self. Thanks once again.
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!